# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "axvisor"
version = "0.5.16"
authors = [
    "Keyang Hu <keyang.hu@qq.com>",
    "周睿 <zrufo747@outlook.com>",
]
build = "build.rs"
include = [
    ".cargo/config.toml",
    ".github/*/**",
    "doc/**",
    "src/**",
    "build.rs",
    "configs/**",
    "scripts/**",
    "xtask/src/**",
    "README.md",
    "LICENSE*",
]
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "A lightweight type-1 hypervisor based on ArceOS"
homepage = "https://github.com/arceos-hypervisor/axvisor"
documentation = "https://docs.rs/axvisor"
readme = "README.md"
keywords = [
    "hypervisor",
    "virtualization",
    "arceos",
    "type-1",
]
categories = [
    "os",
    "no-std",
    "embedded",
]
license = "Apache-2.0"
repository = "https://github.com/arceos-hypervisor/axvisor"

[features]
axtest = []
default = []
ept-level-4 = ["axvm/4-level-ept"]
fs = [
    "ax-std/ext4fs",
    "ax-std/fatfs",
    "axvm/host-fs",
]
phytium-mci = ["ax-driver/phytium-mci"]
rockchip-dwmmc = [
    "ax-driver/rockchip-dwmmc",
    "ax-driver/rockchip-soc",
]
rockchip-pm = ["ax-driver/rockchip-pm"]
rockchip-sdhci = [
    "ax-driver/rockchip-sdhci",
    "ax-driver/rockchip-soc",
]
rockchip-soc = ["ax-driver/rockchip-soc"]
sdmmc = [
    "ax-driver/rockchip-sdhci",
    "ax-driver/rockchip-soc",
    "ax-driver/phytium-mci",
]
sstc = ["axvm/sstc"]
stack-protector = ["ax-std/stack-protector"]
svm = ["axvm/svm"]
vmx = ["axvm/vmx"]

[[bin]]
name = "axvisor"
path = "src/main.rs"

[[bin]]
name = "xtask"
path = "xtask/src/main.rs"
test = false

[dependencies.spin]
version = "0.12"

[dev-dependencies.axtest]
version = "0.5.12"

[build-dependencies.anyhow]
version = "1.0"

[build-dependencies.prettyplease]
version = "0.2"

[build-dependencies.proc-macro2]
version = "1.0"

[build-dependencies.quote]
version = "1.0"

[build-dependencies.syn]
version = "2.0"

[build-dependencies.toml]
version = "0.9"

[target.'cfg(any(not(any(windows, unix)), target_env = "musl"))'.dependencies.ax-driver]
version = "0.10.0"

[target.'cfg(any(not(any(windows, unix)), target_env = "musl"))'.dependencies.ax-errno]
version = "0.6.1"

[target.'cfg(any(not(any(windows, unix)), target_env = "musl"))'.dependencies.ax-hal]
version = "0.5.23"
features = [
    "paging",
    "irq",
    "smp",
    "hv",
    "axvisor-linker",
]

[target.'cfg(any(not(any(windows, unix)), target_env = "musl"))'.dependencies.ax-std]
version = "0.5.23"
features = [
    "ext-ld",
    "paging",
    "irq",
    "multitask",
    "task-ext",
    "smp",
    "hv",
    "plat-dyn",
]

[target.'cfg(any(not(any(windows, unix)), target_env = "musl"))'.dependencies.axvm]
version = "0.5.18"
features = ["plat-dyn"]
default-features = false

[target.'cfg(any(not(any(windows, unix)), target_env = "musl"))'.dependencies.axvmconfig]
version = "0.8.0"
default-features = false

[target.'cfg(any(not(any(windows, unix)), target_env = "musl"))'.dependencies.log]
version = "0.4"

[target.'cfg(any(windows, all(unix, not(target_env = "musl"))))'.dependencies.anyhow]
version = "1.0"
default-features = false

[target.'cfg(any(windows, all(unix, not(target_env = "musl"))))'.dependencies.axbuild]
version = "0.4.16"

[target.'cfg(any(windows, all(unix, not(target_env = "musl"))))'.dependencies.clap]
version = "4.6"
features = ["derive"]

[target.'cfg(any(windows, all(unix, not(target_env = "musl"))))'.dependencies.tokio]
version = "1"
features = ["full"]
